# Uses of Interface
org.springframework.jdbc.datasource.embedded.ConnectionProperties

Packages that use ConnectionProperties
Package
Description
org.springframework.jdbc.datasource.embedded
Provides extensible support for creating embedded database instances.

## Uses of ConnectionProperties in org.springframework.jdbc.datasource.embedded

Methods in org.springframework.jdbc.datasource.embedded that return ConnectionProperties
Modifier and Type
Method
Description
`ConnectionProperties`
DataSourceFactory.`getConnectionProperties()`
Get the connection properties of the `DataSource` to be configured.
Methods in org.springframework.jdbc.datasource.embedded with parameters of type ConnectionProperties
Modifier and Type
Method
Description
`void`
EmbeddedDatabaseConfigurer.`configureConnectionProperties(ConnectionProperties properties, String databaseName)`
Configure the properties required to create and connect to the embedded database.
`void`
EmbeddedDatabaseConfigurerDelegate.`configureConnectionProperties(ConnectionProperties properties, String databaseName)`